import ViewMessageService from '../view-message-service';
/**
 * 编辑视图（左右关系）视图消息服务对象基类
 *
 * @export
 * @class ViewMsg28MessageServiceBase
 */
export default class ViewMsg28MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg28MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg28MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg28MessageServiceBase
     */
    public initBasicParam(){
        this.id = "A6A47737-D7F8-4D81-B012-660DAFDBFF72";
        this.name = "编辑视图（左右关系）";
        this.codename = "ViewMsg28";
        this.title = "";
        this.content = "本示例展示编辑视图（左右关系）：将关联信息的数据列表以左右关系的树形式进行呈现，订单为主实体，订单明细为从实体，关系界面为订单明细表格视图。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg28MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}